__gnu_pbds::detail::cond_dealtor< Entry, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::cond_dealtor< Entry, _Alloc > - Conditional deallocate constructor argument.

SYNOPSIS

#include <cond_dealtor.hpp>

  Public Types

typedef HT_Map::entry entry
typedef HT_Map::entry_allocator entry_allocator
typedef __rebind_e::other entry_allocator
typedef entry_allocator::pointer entry_pointer
typedef HT_Map::key_type key_type

  Public Member Functions

cond_dealtor (entry_allocator *p_a, entry *p_e)
cond_dealtor (entry_pointer p_e)
void set_key_destruct ()
void set_no_action ()
void set_no_action_destructor ()

  Protected Attributes

bool m_key_destruct
entry_allocator *const m_p_a
entry *const m_p_e

Detailed Description

  template<typename Entry, typename _Alloc>
class __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >"Conditional deallocate constructor argument.

Conditional dey destructor, cc_hash.

Definition at line 50 of file cond_dealtor.hpp.

Member Typedef Documentation

  template<typename Entry , typename _Alloc > typedef HT_Map::entry __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry

Definition at line 50 of file cond_key_dtor_entry_dealtor.hpp.

  template<typename Entry , typename _Alloc > typedef HT_Map::entry_allocator __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry_allocator

Definition at line 51 of file cond_key_dtor_entry_dealtor.hpp.

  template<typename Entry , typename _Alloc > typedef __rebind_e::other __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry_allocator

Definition at line 55 of file cond_dealtor.hpp.

  template<typename Entry , typename _Alloc > typedef entry_allocator::pointer __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry_pointer

Definition at line 56 of file cond_dealtor.hpp.

  template<typename Entry , typename _Alloc > typedef HT_Map::key_type __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::key_type

Definition at line 52 of file cond_key_dtor_entry_dealtor.hpp.

Constructor & Destructor Documentation

  template<typename Entry , typename _Alloc > __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::cond_dealtor (entry_pointer p_e) [inline]

Definition at line 58 of file cond_dealtor.hpp.

  template<typename HT_Map > __gnu_pbds::detail::cond_dealtor< HT_Map >::~cond_dealtor () [inline]

Definition at line 61 of file cond_dealtor.hpp.

  template<typename Entry , typename _Alloc > __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::cond_dealtor (entry_allocator * p_a, entry * p_e) [inline]

Definition at line 54 of file cond_key_dtor_entry_dealtor.hpp.

Member Function Documentation

  template<typename Entry , typename _Alloc > void __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::set_key_destruct () [inline]

Definition at line 63 of file cond_key_dtor_entry_dealtor.hpp.

  template<typename Entry , typename _Alloc > void __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::set_no_action () [inline]

Definition at line 69 of file cond_dealtor.hpp.

  template<typename Entry , typename _Alloc > void __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::set_no_action_destructor () [inline]

Definition at line 67 of file cond_key_dtor_entry_dealtor.hpp.

Member Data Documentation

  template<typename Entry , typename _Alloc > bool __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::m_key_destruct [protected]

Definition at line 74 of file cond_key_dtor_entry_dealtor.hpp.

  template<typename Entry , typename _Alloc > entry_allocator* const __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::m_p_a [protected]

Definition at line 71 of file cond_key_dtor_entry_dealtor.hpp.

  template<typename Entry , typename _Alloc > entry* const __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::m_p_e [protected]

Definition at line 72 of file cond_key_dtor_entry_dealtor.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.